Bug 440017 - system-config-lvm crashes on lvs with corelog
system-config-lvm crashes on lvs with corelog
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jim Parsons
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 08:09 EDT by ritz
Modified: 2010-10-22 19:37 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:24:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (804 bytes, patch)
2008-04-01 08:17 EDT, ritz
no flags Details | Diff

  None (edit)
Description ritz 2008-04-01 08:09:17 EDT
Description of problem:
system-config-lvm will crash out while trying to load lvm data if any logical
volume has mirroring created with the --corelog option (ie, no mirrorlog
partition). 

Version-Release number of selected component (if applicable):
system-config-lvm -1.0.22-1.0.el5

How reproducible:
always

Steps to Reproduce:

1) Create a mirrored logical volume across 2 physical volumes and use the
--corelog option for lvcreate

  # pvcreate /dev/sda
  # pvcreate /dev/sdb
  # vgcreate mirrorvg /dev/sda /dev/sdb
  # lvcreate -l 255 -n lv1 -m1 --corelog mirrorvg /dev/sda /dev/sdb
  
2) Start system-config-cluster and it will crash with the following traceback

[root@dhcp243-204 redhat]# system-config-lvm
Traceback (most recent call last):
 File "/usr/sbin/system-config-lvm", line 173, in ?
   runFullGUI()
 File "/usr/sbin/system-config-lvm", line 158, in runFullGUI
   blvm = baselvm(glade_xml, app)
 File "/usr/sbin/system-config-lvm", line 108, in __init__
   self.volume_tab_view = Volume_Tab_View(glade_xml, self.lvmm, self.main_win)
 File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 135, in __init__
   self.prepare_tree()
 File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 216, in prepare_tree
   self.model_factory.reload()
 File "/usr/share/system-config-lvm/lvm_model.py", line 166, in reload
   self.__link_mirrors()
 File "/usr/share/system-config-lvm/lvm_model.py", line 570, in __link_mirrors
   log_lv = vg.get_lvs()[lv.get_mirror_log()]
KeyError: ''

  
Actual results:
pretty traceback

Expected results:
s-c-lvm should work

Additional info:
Fedora bug - https://bugzilla.redhat.com/show_bug.cgi?id=229234

disabling MIRRORING_UI_SUPPORT from lvmui_constants.py does not help.
Comment 1 ritz 2008-04-01 08:17:54 EDT
Created attachment 299880 [details]
patch

This patch is provided by John Ruemker, and when used in conjunction with patch
from bz3 229234 helps s-c-lvm work, albeit with quirks.
Comment 4 RHEL Product and Program Management 2008-06-04 18:45:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Brian Brock 2008-12-16 18:43:26 EST
verified, system-config-lvm started properly without crashing
Comment 12 errata-xmlrpc 2009-01-20 16:24:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0156.html

Note You need to log in before you can comment on or make changes to this bug.